# CollisionQueryParams

## Overview

CollisionQueryParams is a configuration object that defines the various conditions and filters to be applied when executing a collision query.

## Constructors

### new

Creates a new CollisionQueryParams instance.

#### Parameters

#### Return

| `CollisionQueryParams` | The created CollisionQueryParams. |
| ---------------------- | --------------------------------- |

#### Code Samples

## Properties

### FindInitialOverlaps

`boolean`

Sets whether objects that are already overlapping at the start of the raycast should also be included in the results.

#### Code Samples

### IgnoreBlocks

`boolean`

Sets whether to ignore blocking collision objects.

#### Code Samples

### IgnoreTouches

`boolean`

Sets whether to ignore touch (overlap) collision objects.

#### Code Samples

### SkipNarrowPhase

`boolean`

Sets whether to skip the narrow phase collision check.

#### Code Samples

### TraceComplex

`boolean`

Sets whether to perform a precise raycast using complex collision meshes.

#### Code Samples

### TraceIntoSubComponents

`boolean`

Sets whether to trace into sub-components.

#### Code Samples

## Methods

## Events


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.overdare.com/development/api-reference/datatype/collisionqueryparams.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
